## org.biojava.bio.structure.io.mmcif.model
Class EntityPolySeq

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.AbstractBean
          org.biojava.bio.structure.io.mmcif.model.EntityPolySeq

    public class EntityPolySeq

extends AbstractBean

Container for _entity_poly_seq records

      Field Name                    mmCIF Data Item
      Section                       n.a.
      Serial_No                     n.a.
      Strand_ID                     PDB strand ID corresponding to   _entity_poly_seq.entity_id     **
      Strand_Length                 derived
      Residue_Names                 _entity_poly_seq.mon_id
     Chemically distinct polymer strands are mapped to mmCIF entities. Two instances or the same polymer molecule in the PDB data file are mapped to a single mmCIF entity (eg. a homodimer). For convenience a table of monomer label correspondences is stored in category   PDBX_POLY_SEQ_SCHEME

Since:
  1.7
Author:
  Andreas Prlic

Constructor Summary
`EntityPolySeq()`

Method Summary
`String` `getEntity_id()`
`String` `getHetero()`
`String` `getMon_id()`
`String` `getNum()`
`void` `setEntity_id(String entity_id)`
`void` `setHetero(String hetero)`
`void` `setMon_id(String mon_id)`
`void` `setNum(String num)`

Methods inherited from class org.biojava.bio.structure.io.mmcif.model.AbstractBean
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityPolySeq

    public EntityPolySeq()

Method Detail

### getEntity_id

    public String getEntity_id()

### setEntity_id

    public void setEntity_id(String entity_id)

### getNum

    public String getNum()

### setNum

    public void setNum(String num)

### getMon_id

    public String getMon_id()

### setMon_id

    public void setMon_id(String mon_id)

### getHetero

    public String getHetero()

### setHetero

    public void setHetero(String hetero)